Subject: Re: linux-next: build warning after merge of the l2-mtd tree

From: Brian Norris <[email-masked]>
Date: Fri, 23 Jun 2017 10:59:46 -0700

On Fri, Jun 23, 2017 at 06:56:53AM +0200, Rafał Miłecki wrote:
> On 2017-06-23 03:32, Stephen Rothwell wrote:
> >After merging the l2-mtd tree, today's linux-next build (x86_64
> >allmodconfig) produced this warning:
> 
> This code has been just moved, so the warning was already there before.
> 
> But it's of course a good opportunity to fix it :)

We now allow it to build with COMPILE_TEST, which means it can show up
on 64-bit architectures, where sizeof(size_t) != sizeof(int). I failed
to add it to my local 64-bit build tests, so I didn't notice this.

But fixed now.

Brian